Name:           adwaita-qt
Version:        0.4
Release:        %mkrel 1
License:        LGPLv2+
Summary:        Adwaita theme for Qt-based applications
Group:			Graphical desktop/KDE5

Url:            https://github.com/MartinBriza/adwaita-qt
Source0:        https://github.com/MartinBriza/adwaita-qt/archive/adwaita-qt-%{version}.tar.xz
Patch0:         qt-creator-menubar-fix.patch
BuildRequires:  cmake
BuildRequires:  qt4-devel
BuildRequires:  libqtbase5-devel
Requires:       adwaita-qt4

%description
Theme to let Qt applications fit nicely into PCLinux desktop


%package common
Summary:        Adwaita Qt theme shared files
Group:			Graphical desktop/KDE5
BuildArch:      noarch
Requires:       oxygen-icon-theme

%description common
Common files (assets, etc.) for the Adwaita Qt theme

%package -n adwaita-qt4
Summary:        Adwaita Qt4 theme
Group:		Graphical desktop/KDE5
Requires:       task-qt4
Requires:       adwaita-qt-common

%description -n adwaita-qt4
Adwaita theme variant for applications utilizing Qt4


%package -n adwaita-qt5
Summary: Adwaita Qt5 theme
Group: Graphical desktop/KDE5
Requires: adwaita-qt-common
Requires: lib64qt5core5
Requires: lib64qt5gui5
Requires: lib64qt5widgets5

%description -n adwaita-qt5
Adwaita theme variant for applications utilizing Qt5


%prep
%setup -q -n %{name}-%{version}

%patch0 -p1 -b .qt-creator-menubar-fix

%build
QTDIR="/usr/lib64/qt4" ; export QTDIR ; 
PATH="/usr/lib64/qt4/bin:$PATH" ; export PATH ;
%{cmake} -DUSE_QT4=true
%make
cd ..
mv build "%{_target_platform}-qt4"

QTDIR="/usr/lib64/qt5" ; export QTDIR ; 
PATH="/usr/lib64/qt5/bin:$PATH" ; export PATH ;
%{cmake}
%make
cd ..
mv build "%{_target_platform}-qt5"


%install
rm -rf %buildroot
ln -sf "%{_target_platform}-qt4" build
make install/fast DESTDIR=%{buildroot} -C "%{_target_platform}-qt4"
rm -f build
ln -sf "%{_target_platform}-qt5" build
make install/fast DESTDIR=%{buildroot} -C "%{_target_platform}-qt5"

%files common
%{_datadir}/themes/Adwaita/qt/*

%files -n adwaita-qt4
%doc LICENSE.LGPL2 README.md
%{_libdir}/qt4/plugins/styles/adwaita.so

%files -n adwaita-qt5
%doc LICENSE.LGPL2 README.md
%{_libdir}/qt5/plugins/styles/adwaita.so

%files

%changelog
* Wed Nov 20 2016 bb <bb> 0.4-1pclos2016
- import from france with mods for pclos


